This is the mail archive of the gcc@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: AIX bootstrap failure


I updated the tree (no local patches), and reconfigured and bootstrapped mainline.  The config is:

../gcc/configure   --prefix=/home/jlquinn/gcc/dev --with-cpu=power4 --with-gcc-version-trigger=/home/jlquinn/gcc/dev/gcc/gcc/version.c --enable-languages=c,c++,java

This is on AIX 5.2 pl 3, using xlc.

Jerry Quinn

Comparing stage2 and stage3 of the compiler
make[1]: Entering directory `/home/jlquinn/gcc/dev/build/gcc'
rm -f .bad_compare
case "slowcompare" in *compare | *compare-lean ) stage=2 ;; * ) stage=`echo slowcompare | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'` ;; esac; \
for dir in . cp java; do \
  if [ "`echo $dir/*.o`" != "$dir/*.o" ] ; then \
    for file in $dir/*.o; do \
      case "slowcompare" in \
        slowcompare* ) \
          tail +16c ./$file > tmp-foo1; \
          tail +16c stage$stage/$file > tmp-foo2 \
            && (cmp tmp-foo1 tmp-foo2 > /dev/null 2>&1 || echo $file differs >>
.bad_compare) || true; \
          ;; \
        fastcompare* ) \
          cmp $file stage$stage/$file 16 16 > /dev/null 2>&1; \
          test $? -eq 1 && echo $file differs >> .bad_compare || true; \
          ;; \
        gnucompare* ) \
          cmp --ignore-initial=16 $file stage$stage/$file > /dev/null 2>&1; \
          test $? -eq 1 && echo $file differs >> .bad_compare || true; \
          ;; \
      esac ; \
    done; \
  else true; fi; \
done
rm -f tmp-foo*
case "slowcompare" in *compare | *compare-lean ) stage=2 ;; * ) stage=`echo slowcompare | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'` ;; esac; \
if [ -f .bad_compare ]; then \
  echo "Bootstrap comparison failure!"; \
  cat .bad_compare; \
  exit 1; \
else \
  case "slowcompare" in \
    *-lean ) rm -rf stage$stage ;; \
    *) ;; \
  esac; true; \
fi
Bootstrap comparison failure!
./fold-const.o differs
make[1]: *** [slowcompare] Error 1
make[1]: Leaving directory `/home/jlquinn/gcc/dev/build/gcc'
make: *** [bootstrap] Error 2



Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]